Bug 965195 - wireshark: DoS (excessive CPU consumption) in the RELOAD dissector (wnpa-sec-2013-23, upstream #8362, #8546)
wireshark: DoS (excessive CPU consumption) in the RELOAD dissector (wnpa-sec-...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130517,reported=2...
: Security
Depends On: 965942
Blocks: 965198
  Show dependency treegraph
 
Reported: 2013-05-20 12:32 EDT by Jan Lieskovsky
Modified: 2015-07-31 08:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 02:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-20 12:32:40 EDT
Originally, CVE-2013-2486 (bug #CVE-2013-2486) and CVE-2013-2487 (bug #CVE-2013-2487) identifiers have been assigned to a denial of service flaw (excessive CPU consumption and infinite loop) in the RELOAD dissector of Wireshark.

Later it was reported:
  [1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8546#c0

that despite being officially announced the complete patch has not been applied upstream (r47808 was, but r47805 was not). Original r47805 patch has been now applied upstream as revision:
  [2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48677

and whole issue has been corrected in Wireshark 1.8.7 version.

Relevant upstream bug reports:
[3] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8364
[4] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8546

Relevant upstream patches:
[5] http://anonsvn.wireshark.org/viewvc?view=revision&revision=47808
[6] http://anonsvn.wireshark.org/viewvc?view=revision&revision=47805
[7] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48677
Comment 1 Huzaifa S. Sidhpurwala 2013-05-22 02:35:31 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 965942]
Comment 2 Huzaifa S. Sidhpurwala 2013-05-22 02:40:30 EDT
Upstream advisory:

http://www.wireshark.org/security/wnpa-sec-2013-23.html

The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6, does not have support for REsource LOcation And Discovery (RELOAD) Base Protocol
Comment 3 Huzaifa S. Sidhpurwala 2013-05-22 02:40:48 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.